# Copyright (c) 1991-2002 Doshita Lab. Speech Group, Kyoto University
# Copyright (c) 2000-2002 Speech and Acoustics Processing Lab., NAIST
# All rights reserved 
#
# Makefile.in --- Makefile Template for configure
#
# $Id: Makefile.in,v 1.6 2002/09/11 22:28:38 ri Exp $
#
SHELL=/bin/sh

SUBDIRS=libsent julius mkbingram adinrec adintool mkgshmm mkss jcontrol gramtools

CONFIG_SUBDIRS=mkgshmm gramtools jcontrol julius libsent

RM=@RM@ -f
prefix=@prefix@
exec_prefix=@exec_prefix@
INSTALL=@INSTALL@

all:
	for d in $(SUBDIRS); do \
	  (cd $$d; $(MAKE)); \
	done

install:
	for d in $(SUBDIRS); do \
	  (cd $$d; $(MAKE) install); \
	done

install.man.ja:
	for d in $(SUBDIRS); do \
	  (cd $$d; $(MAKE) install.man.ja); \
	done

clean:
	for d in $(SUBDIRS); do \
	  (cd $$d; $(MAKE) clean); \
	done
	$(RM) config.log config.cache

distclean:
	for d in $(SUBDIRS); do \
	  if test -f $$d/Makefile; then \
	   (cd $$d; $(MAKE) distclean); \
	  fi; \
	done
	$(RM) config.log config.cache
	$(RM) config.status
	$(RM) Makefile

configure:
	for d in $(CONFIG_SUBDIRS); do \
	  (cd $$d; autoconf); \
	done
